|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3SqlSelectCursor Class Reference

The Q3SqlSelectCursor class provides browsing of general SQL SELECT statements. More...

    #include <Q3SqlSelectCursor>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3SqlCursor.

- List of all members, including inherited members

### Public Functions

- Q3SqlSelectCursor ( const QString & query = QString(), QSqlDatabase db = QSqlDatabase() )
- Q3SqlSelectCursor ( const Q3SqlSelectCursor & other )
- ~Q3SqlSelectCursor ()

- 43 public functions inherited from Q3SqlCursor
- 28 public functions inherited from QSqlRecord
- 33 public functions inherited from QSqlQuery

### Additional Inherited Members

- 7 protected functions inherited from Q3SqlCursor

## Detailed Description

The Q3SqlSelectCursor class provides browsing of general SQL SELECT statements.

Q3SqlSelectCursor is a convenience class that makes it possible to display result sets from general SQL `SELECT` statements in data-aware Qt widgets. Q3SqlSelectCursor is read-only and does not support `INSERT`, `UPDATE` or `DELETE` operations.

Pass the query in at construction time, or use the Q3SqlSelectCursor::exec() function.

Example:

        ...
        Q3SqlSelectCursor* cur = new Q3SqlSelectCursor("SELECT id, firstname, lastname FROM author");
        Q3DataTable* table = new Q3DataTable(this);
        table->setSqlCursor(cur, true, true);
        table->refresh();
        ...
        cur->exec("SELECT * FROM books");
        table->refresh();
        ...

## Member Function Documentation

### Q3SqlSelectCursor::Q3SqlSelectCursor ( const QString & query = QString(), QSqlDatabase db = QSqlDatabase() )

Constructs a read only cursor on database db using the query query.

### Q3SqlSelectCursor::Q3SqlSelectCursor ( const Q3SqlSelectCursor & other )

Constructs a copy of other

### Q3SqlSelectCursor::~Q3SqlSelectCursor ()

Destroys the object and frees any allocated resources